TrafficRoute DNS Suite
Updates an endpoint.
In addition to the following parameters, you also need to include the authentication parameters.
Name | Type | Required | Example | Description |
|---|---|---|---|---|
Action | String | Yes | UpdateResolverEndpoint | The name of the API. The value of this parameter is UpdateResolverEndpoint. |
Version | String | Yes | 2022-06-01 | The version of the API. The value of this parameter is 2022-06-01. |
Name | Type | Required | Example | Description |
|---|---|---|---|---|
EndpointID | Integer | Yes | 123 | The ID of the endpoint. You can obtain it from the response of the following APIs:
|
Name | String | No | endpoint1 | The name of the endpoint. Supports UTF-8 format. If you do not pass this parameter, its value will not change. |
IpConfigs | Array of Objects | No | The availability zone, subnet, and IP configuration of the endpoint. If you do not pass this parameter, its value will not change. | |
EndpointTrn | String | No | trn:private_zone::21******4::endpoint/ep-1234 | The TRN of the endpoint. The format is trn:private_zone::accountId::endpoint/ep-endpointId. If you need to verify whether a sub-user has operational permissions for the project to which the endpoint belongs, you need to pass this parameter. |
Name | Type | Description |
|---|---|---|
RequestId | String | The ID that identifies this request. |
Action | String | The value of the Action query parameter. |
Version | String | The API version. |
Service | String | The service type. |
Region | String | The region where the service is located. |
POST https://private-zone.volcengineapi.com/?Action=UpdateResolverEndpoint&Version=2022-06-01 { "EndpointID": 238, "Name": "testEndPoint", "IpConfigs": [ { "AzID": "cn-beijinga", "SubnetID": "subnet-pedexxxxxxx6puq6gc", "IP": "172.16.0.2" } ] }
{ "ResponseMetadata": { "RequestId": "20230614140553EC822FFD341E9C19EF59", "Action": "UpdateResolverEndpoint", "Version": "2022-06-01", "Service": "private_zone", "Region": "cn-beijing" } }
Refer to Common Error Codes.